// AmpelView1.java                              MM 2007
// MVC-View                                     AZ 2006

import java.awt.*;                             // Color
import Tools.MVC.*;                        // SuperView

/**
 * View zur Ampelschaltung,
 * Version Konsole/Tastatur und MVC-Tool.
 */
public class AmpelView1
  extends SuperView
{
/**
 * Ampelfarben.
 */
  private String[] farben = { "Rot", "Gelb", "Gruen"};

/* --------------------------------------------------*/
                                    // MVC-Installation
/**
 * Konstruktor, setzt Ueberschrift und installiert MVC.
 * @param model Ampel
 * @param titel Ueberschrift
 */
  public AmpelView1( AmpelModel model, String titel)
  {
// Titelzeile anzeigen
    System.out.println( titel);
// MVC-Installation
    initialize( model);
  }

/**
 * Erzeugt Controller,
 * ueberschreibt abstrakte Methode.
 * @return Controller fuer View
 */
  protected SuperController makeController()
  {
    return new AmpelController1();
  }

/**
 * Erzeugt View,
 * ueberschreibt abstrakte Methode,
 * initialisiert die Ausgabe auf der Konsole,
 * uebergibt Aktivitaeten dem Controller.
 */
  protected void makeView()
  {
    draw();
    ((AmpelController1)controller).action();
  }

/* --------------------------------------------------*/
                                        // draw-Methode
/**
 * Darstellung des Modells, Konsolenausgaben,
 * ueberschreibt abstrakte Methode.
 */
  protected void draw()
  {
    AmpelModel m = (AmpelModel)model;
    String str = "Ampel defekt";

    for( int number = 0; number < 3; number++)
       if( m.getLight( number)) str = farben[ number];

    System.out.println( "\n" + str);
    System.out.print( "\ns=Schalten, q=Ende: ");
  }
}
